<template>
  <div
    class="kit accordion mobile"
    :class="lineColor">
    <div
      class="panel"
      :class="{opened : open}">
      <div
        class="title mobilshow"
        @click="toggle">
        <slot name="title-panel"/>
      </div>
      <slot name="content"/>
    </div>
  </div>
</template>

<script>
export default {
  name: 'AccordionMobile',
  props: {
    lineColor: {
      type: String,
      default: 'color-1',
    },
    initialOpen: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      open: this.initialOpen,
    };
  },
  methods: {
    toggle() {
      this.open = !this.open;
    },
    hide() {
      this.open = false;
    },
    show() {
      this.open = true;
    },
  },
};
</script>

<style scoped lang="scss">
  @import "~/assets/scss/modules/_accordion.scss";

</style>
